## com.sun.jna.platform.win32
Class WinNT.TOKEN_INFORMATION_CLASS

    java.lang.Object
      com.sun.jna.platform.win32.WinNT.TOKEN_INFORMATION_CLASS

Enclosing class:
  WinNT

    public abstract class WinNT.TOKEN_INFORMATION_CLASS

extends java.lang.Object

The TOKEN_INFORMATION_CLASS enumeration type contains values that specify the type of information being assigned to or retrieved from an access token.

Field Summary
`static int` `TokenAccessInformation`
`static int` `TokenAuditPolicy`
`static int` `TokenDefaultDacl`
`static int` `TokenElevation`
`static int` `TokenElevationType`
`static int` `TokenGroups`
`static int` `TokenGroupsAndPrivileges`
`static int` `TokenHasRestrictions`
`static int` `TokenImpersonationLevel`
`static int` `TokenIntegrityLevel`
`static int` `TokenLinkedToken`
`static int` `TokenLogonSid`
`static int` `TokenMandatoryPolicy`
`static int` `TokenOrigin`
`static int` `TokenOwner`
`static int` `TokenPrimaryGroup`
`static int` `TokenPrivileges`
`static int` `TokenRestrictedSids`
`static int` `TokenSandBoxInert`
`static int` `TokenSessionId`
`static int` `TokenSessionReference`
`static int` `TokenSource`
`static int` `TokenStatistics`
`static int` `TokenType`
`static int` `TokenUIAccess`
`static int` `TokenUser`
`static int` `TokenVirtualizationAllowed`
`static int` `TokenVirtualizationEnabled`

Constructor Summary
`WinNT.TOKEN_INFORMATION_CLASS()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TokenUser

    public static final int TokenUser

See Also:
  Constant Field Values

### TokenGroups

    public static final int TokenGroups

See Also:
  Constant Field Values

### TokenPrivileges

    public static final int TokenPrivileges

See Also:
  Constant Field Values

### TokenOwner

    public static final int TokenOwner

See Also:
  Constant Field Values

### TokenPrimaryGroup

    public static final int TokenPrimaryGroup

See Also:
  Constant Field Values

### TokenDefaultDacl

    public static final int TokenDefaultDacl

See Also:
  Constant Field Values

### TokenSource

    public static final int TokenSource

See Also:
  Constant Field Values

### TokenType

    public static final int TokenType

See Also:
  Constant Field Values

### TokenImpersonationLevel

    public static final int TokenImpersonationLevel

See Also:
  Constant Field Values

### TokenStatistics

    public static final int TokenStatistics

See Also:
  Constant Field Values

### TokenRestrictedSids

    public static final int TokenRestrictedSids

See Also:
  Constant Field Values

### TokenSessionId

    public static final int TokenSessionId

See Also:
  Constant Field Values

### TokenGroupsAndPrivileges

    public static final int TokenGroupsAndPrivileges

See Also:
  Constant Field Values

### TokenSessionReference

    public static final int TokenSessionReference

See Also:
  Constant Field Values

### TokenSandBoxInert

    public static final int TokenSandBoxInert

See Also:
  Constant Field Values

### TokenAuditPolicy

    public static final int TokenAuditPolicy

See Also:
  Constant Field Values

### TokenOrigin

    public static final int TokenOrigin

See Also:
  Constant Field Values

### TokenElevationType

    public static final int TokenElevationType

See Also:
  Constant Field Values

### TokenLinkedToken

    public static final int TokenLinkedToken

See Also:
  Constant Field Values

### TokenElevation

    public static final int TokenElevation

See Also:
  Constant Field Values

### TokenHasRestrictions

    public static final int TokenHasRestrictions

See Also:
  Constant Field Values

### TokenAccessInformation

    public static final int TokenAccessInformation

See Also:
  Constant Field Values

### TokenVirtualizationAllowed

    public static final int TokenVirtualizationAllowed

See Also:
  Constant Field Values

### TokenVirtualizationEnabled

    public static final int TokenVirtualizationEnabled

See Also:
  Constant Field Values

### TokenIntegrityLevel

    public static final int TokenIntegrityLevel

See Also:
  Constant Field Values

### TokenUIAccess

    public static final int TokenUIAccess

See Also:
  Constant Field Values

### TokenMandatoryPolicy

    public static final int TokenMandatoryPolicy

See Also:
  Constant Field Values

### TokenLogonSid

    public static final int TokenLogonSid

See Also:
  Constant Field Values

Constructor Detail

### WinNT.TOKEN_INFORMATION_CLASS

    public WinNT.TOKEN_INFORMATION_CLASS()